# isBlockhashValid

Returns whether a blockhash is still valid or not.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* `blockhash` string *<mark style="color:red;">Required</mark>.* The hash of the block encoded as base-58 string.
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string. The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
    * `confirmed` string. The node will query the most recent block that has been voted on by the supermajority of the cluster.
    * `processed` string. The node will query its most recent block. Note that the block may not be complete.
  * `minContextSlot` integer. The minimum slot at which the request can be evaluated.

## Returns

`result` True if the blockhash is still valid otherwise false.

```bash
// Result
{
  "jsonrpc": "2.0",
  "result": {
    "context": {
      "slot": 2483
    },
    "value": false
  },
  "id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '
    {
      "id":45,
      "jsonrpc":"2.0",
      "method":"isBlockhashValid",
      "params":[
        "ENTER_BLOCKHASH_ID_HERE",
        {"commitment":"processed"}
      ]
    }
'
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
    {
      "id":45,
      "jsonrpc":"2.0",
      "method":"isBlockhashValid",
      "params":[
        "ENTER_BLOCKHASH_ID_HERE",
        {"commitment":"processed"}
      ]
    }
'
```

{% endtab %}
{% endtabs %}
